GET /api/v1/shipment/shipments
Summary: Get a list of all shipments optionally filtered by date. All parameters are optional.
Operation ID: Shipment_GetList
Auth: unknown
Operation ID: Shipment_GetList
Auth: unknown
Parameters (7)
createdAtMax
(string, query, optional)
Specifies the newest shipment date to include in the response
createdAtMin
(string, query, optional)
Specifies the oldest shipment date to include in the response
minimumShipmentId
(integer, query, optional)
Get Shipments with a shipment greater or equal than this id. New shipments have a greater id than older shipments.
orderId
(integer, query, optional)
Get shipments for this order only.
page
(integer, query, optional)
Specifies the page to request.
pageSize
(integer, query, optional)
Specifies the pagesize. Defaults to 50, max value is 250
shippingProviderId
(integer, query, optional)
Get Shippings for the specified shipping provider only. <seealso cref="M:Rechnungsdruck.WebApp.Controllers.Api.ShipmentController.GetShippingproviders" />
No probe data for this endpoint yet.